[SOLVED] Unmet dependencies xbmc

Questions about applications and software
Forum rules
Before you post please read how to get help
nujon
Level 1
Level 1
Posts: 19
Joined: Thu Aug 08, 2013 2:34 am

[SOLVED] Unmet dependencies xbmc

Post by nujon »

Greetings fellow mint users, im still getting the hang of linux so im not to savy on the terminal. so step to step detail would be a great help.

Iv been having a few problems with installing XBMC on my Nadia (kernal version 3.5.0-17-generic) with an A8 processor [if any more info is needed feel free to ask as normal]. I have ran though the standard installation proceadures

Code: Select all

sudo apt-get install python-software-properties pkg-config
sudo apt-get install software-properties-common
sudo add-apt-repository ppa:team-xbmc/ppa
sudo apt-get update
sudo apt-get install xbmc
but when i get to the 'install xbmc' portion. i get

Code: Select all

sudo apt-get install xbmc
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help resolve the situation:

The following packages have unmet dependencies:
 xbmc : Depends: xbmc-bin (>= 2:12.2~git20130502.1706-frodo-0quantal) but it is not going to be installed
        Depends: xbmc-bin (< 2:12.2~git20130502.1706-frodo-0quantal.1~) but it is not going to be installed
        Depends: python-bluez but it is not installable or
                 python-lightblue but it is not installable
        Depends: swig but it is not installable
        Depends: libnfs1 but it is not installable
        Depends: libcec2 (>= 2.1.1) but it is not going to be installed
        Recommends: python-qt3 but it is not installable
        Recommends: xbmc-pvr-mythtv-cmyth but it is not going to be installed
        Recommends: xbmc-pvr-vuplus but it is not going to be installed
        Recommends: xbmc-pvr-vdr-vnsi but it is not going to be installed
        Recommends: xbmc-pvr-njoy but it is not going to be installed
        Recommends: xbmc-pvr-nextpvr but it is not going to be installed
        Recommends: xbmc-pvr-mediaportal-tvserver but it is not going to be installed
        Recommends: xbmc-pvr-tvheadend-hts but it is not going to be installed
        Recommends: xbmc-pvr-dvbviewer but it is not going to be installed
        Recommends: xbmc-pvr-argustv but it is not going to be installed
E: Unable to correct problems, you have held broken packages. 
how do i address this?
Last edited by nujon on Mon Oct 07, 2013 6:15 am, edited 1 time in total.
trapperjohn
Level 5
Level 5
Posts: 849
Joined: Wed Jul 11, 2012 4:10 pm
Contact:

Re: unmet dependencies xbmc

Post by trapperjohn »

I use aptitude instead of apt when this type of situation occurs. For example:

sudo aptitude install xbmc

Aptitude trys harder to resolve certain problems. It will present you with some options along the way, to which you will have to make the right choices.
User avatar
WharfRat
Level 21
Level 21
Posts: 13904
Joined: Thu Apr 07, 2011 8:15 pm

Re: unmet dependencies xbmc

Post by WharfRat »

nujon,

Open a terminal and see what this says:

Code: Select all

apt-cache depends xbmc |grep Depends|awk '{print $2}'|xargs dpkg -l 2>&1|grep matching|awk '{print $6}'|xargs aptitude search
ImageImage
nujon
Level 1
Level 1
Posts: 19
Joined: Thu Aug 08, 2013 2:34 am

Re: unmet dependencies xbmc

Post by nujon »

@WharfRat
nujon,

Open a terminal and see what this says:

Code: Select all

    apt-cache depends xbmc |grep Depends|awk '{print $2}'|xargs dpkg -l 2>&1|grep matching|awk '{print $6}'|xargs aptitude search
i get

Code: Select all

apt-cache depends xbmc |grep Depends|awk '{print $2}'|xargs dpkg -l 2>&1|grep matching|awk '{print $6}'|xargs aptitude search
p   libcec2                         - USB CEC Adaptor communication Library (sha
p   libcec2:i386                    - USB CEC Adaptor communication Library (sha
p   libshairport1                   - emulates an AirPort Express (shared librar
p   libshairport1:i386              - emulates an AirPort Express (shared librar
p   xbmc-bin                        - XBMC Media Center (binary data package)   
p   xbmc-bin:i386                   - XBMC Media Center (binary data package)
User avatar
WharfRat
Level 21
Level 21
Posts: 13904
Joined: Thu Apr 07, 2011 8:15 pm

Re: unmet dependencies xbmc

Post by WharfRat »

Does dpkg -C return anything :?:
ImageImage
nujon
Level 1
Level 1
Posts: 19
Joined: Thu Aug 08, 2013 2:34 am

Re: unmet dependencies xbmc

Post by nujon »

no.
User avatar
WharfRat
Level 21
Level 21
Posts: 13904
Joined: Thu Apr 07, 2011 8:15 pm

Re: unmet dependencies xbmc

Post by WharfRat »

nujon,

Well, since nothing is broken in apt then it's just ppa:team-xbmc/ppa that requires dependencies that can't be met :?
ImageImage
nujon
Level 1
Level 1
Posts: 19
Joined: Thu Aug 08, 2013 2:34 am

Re: unmet dependencies xbmc

Post by nujon »

so, nothing i can do at this point to install xbmc?
User avatar
WharfRat
Level 21
Level 21
Posts: 13904
Joined: Thu Apr 07, 2011 8:15 pm

Re: unmet dependencies xbmc

Post by WharfRat »

nujon wrote:so, nothing i can do at this point to install xbmc?
Not that version :!: I tried apt-get install -s xbmc and it didn't complain so back-out that ppa and install the repo version :wink:
ImageImage
nujon
Level 1
Level 1
Posts: 19
Joined: Thu Aug 08, 2013 2:34 am

Re: unmet dependencies xbmc

Post by nujon »

Code: Select all

apt-get install -s xbmc
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help resolve the situation:

The following packages have unmet dependencies:
 xbmc : Depends: xbmc-bin (>= 2:12.2~git20130502.1706-frodo-0quantal) but it is not going to be installed
        Depends: xbmc-bin (< 2:12.2~git20130502.1706-frodo-0quantal.1~) but it is not going to be installed
        Depends: python-bluez but it is not installable or
                 python-lightblue but it is not installable
        Depends: swig but it is not installable
        Depends: libnfs1 but it is not installable
        Depends: libcec2 (>= 2.1.1) but it is not going to be installed
        Recommends: python-qt3 but it is not installable
        Recommends: xbmc-pvr-mythtv-cmyth but it is not going to be installed
        Recommends: xbmc-pvr-vuplus but it is not going to be installed
        Recommends: xbmc-pvr-vdr-vnsi but it is not going to be installed
        Recommends: xbmc-pvr-njoy but it is not going to be installed
        Recommends: xbmc-pvr-nextpvr but it is not going to be installed
        Recommends: xbmc-pvr-mediaportal-tvserver but it is not going to be installed
        Recommends: xbmc-pvr-tvheadend-hts but it is not going to be installed
        Recommends: xbmc-pvr-dvbviewer but it is not going to be installed
        Recommends: xbmc-pvr-argustv but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
is what i got after

Code: Select all

 apt-get install -s xbmc 
User avatar
WharfRat
Level 21
Level 21
Posts: 13904
Joined: Thu Apr 07, 2011 8:15 pm

Re: unmet dependencies xbmc

Post by WharfRat »

What does

Code: Select all

 inxi -r
return :?:
ImageImage
nujon
Level 1
Level 1
Posts: 19
Joined: Thu Aug 08, 2013 2:34 am

Re: unmet dependencies xbmc

Post by nujon »

Code: Select all

inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.linuxmint.com/ nadia main upstream import
           deb http://archive.ubuntu.com/ubuntu/ quantal-updates main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ quantal-security main restricted universe multiverse
           Active apt sources in file: /etc/apt/sources.list.d/team-xbmc-ppa-quantal.list
           deb http://ppa.launchpad.net/team-xbmc/ppa/ubuntu quantal main
           deb-src http://ppa.launchpad.net/team-xbmc/ppa/ubuntu quantal main
User avatar
WharfRat
Level 21
Level 21
Posts: 13904
Joined: Thu Apr 07, 2011 8:15 pm

Re: unmet dependencies xbmc

Post by WharfRat »

Try this

Code: Select all

sudo mv /etc/apt/sources.list.d/team-xbmc-ppa-quantal.list /home/$USER

Code: Select all

sudo apt-get update && sudo apt-get install -s xbmc
That xbmc repo is still there.
ImageImage
nujon
Level 1
Level 1
Posts: 19
Joined: Thu Aug 08, 2013 2:34 am

Re: unmet dependencies xbmc

Post by nujon »

Code: Select all

sudo apt-get update && sudo apt-get install -s xbmc
Get:1 http://packages.linuxmint.com nadia Release.gpg [197 B]
Get:2 http://packages.linuxmint.com nadia Release [17.7 kB]                    
Get:3 http://archive.ubuntu.com quantal-updates Release.gpg [933 B]            
Get:4 http://packages.linuxmint.com nadia/main amd64 Packages [22.6 kB]        
Get:5 http://security.ubuntu.com quantal-security Release.gpg [933 B]          
Get:6 http://packages.linuxmint.com nadia/upstream amd64 Packages [11.3 kB]    
Get:7 http://archive.ubuntu.com quantal-updates Release [49.6 kB]              
Get:8 http://security.ubuntu.com quantal-security Release [49.6 kB]           
Get:9 http://packages.linuxmint.com nadia/import amd64 Packages [43.2 kB]      
Get:10 http://packages.linuxmint.com nadia/main i386 Packages [22.6 kB]        
Get:11 http://packages.linuxmint.com nadia/upstream i386 Packages [11.3 kB]    
Get:12 http://packages.linuxmint.com nadia/import i386 Packages [44.0 kB]      
Get:13 http://archive.ubuntu.com quantal-updates/main amd64 Packages [278 kB]  
Get:14 http://security.ubuntu.com quantal-security/main amd64 Packages [153 kB]
Get:15 http://security.ubuntu.com quantal-security/restricted amd64 Packages [3,469 B]
Get:16 http://security.ubuntu.com quantal-security/universe amd64 Packages [58.0 kB]
Get:17 http://security.ubuntu.com quantal-security/multiverse amd64 Packages [1,147 B]
Get:18 http://archive.ubuntu.com quantal-updates/restricted amd64 Packages [4,804 B]
Get:19 http://security.ubuntu.com quantal-security/main i386 Packages [152 kB] 
Get:20 http://archive.ubuntu.com quantal-updates/universe amd64 Packages [199 kB]
Ign http://packages.linuxmint.com nadia/import Translation-en_CA               
Ign http://packages.linuxmint.com nadia/import Translation-en                  
Ign http://packages.linuxmint.com nadia/main Translation-en_CA                 
Ign http://packages.linuxmint.com nadia/main Translation-en                    
Get:21 http://security.ubuntu.com quantal-security/restricted i386 Packages [3,531 B]
Ign http://packages.linuxmint.com nadia/upstream Translation-en_CA             
Ign http://packages.linuxmint.com nadia/upstream Translation-en                
Get:22 http://archive.ubuntu.com quantal-updates/multiverse amd64 Packages [10.8 kB]
Get:23 http://security.ubuntu.com quantal-security/universe i386 Packages [58.6 kB]
Get:24 http://archive.ubuntu.com quantal-updates/main i386 Packages [276 kB]   
Get:25 http://security.ubuntu.com quantal-security/multiverse i386 Packages [1,396 B]
Hit http://security.ubuntu.com quantal-security/main Translation-en            
Hit http://security.ubuntu.com quantal-security/multiverse Translation-en
Get:26 http://archive.ubuntu.com quantal-updates/restricted i386 Packages [4,841 B]
Get:27 http://archive.ubuntu.com quantal-updates/universe i386 Packages [200 kB]
Hit http://security.ubuntu.com quantal-security/restricted Translation-en
Get:28 http://archive.ubuntu.com quantal-updates/multiverse i386 Packages [11.0 kB]
Hit http://security.ubuntu.com quantal-security/universe Translation-en 
Hit http://archive.ubuntu.com quantal-updates/main Translation-en
Hit http://archive.ubuntu.com quantal-updates/multiverse Translation-en
Hit http://archive.ubuntu.com quantal-updates/restricted Translation-en
Hit http://archive.ubuntu.com quantal-updates/universe Translation-en
Ign http://security.ubuntu.com quantal-security/main Translation-en_CA         
Ign http://security.ubuntu.com quantal-security/multiverse Translation-en_CA   
Ign http://security.ubuntu.com quantal-security/restricted Translation-en_CA   
Ign http://security.ubuntu.com quantal-security/universe Translation-en_CA     
Ign http://archive.ubuntu.com quantal-updates/main Translation-en_CA           
Ign http://archive.ubuntu.com quantal-updates/multiverse Translation-en_CA     
Ign http://archive.ubuntu.com quantal-updates/restricted Translation-en_CA     
Ign http://archive.ubuntu.com quantal-updates/universe Translation-en_CA       
Fetched 1,690 kB in 8s (203 kB/s)                                              
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package xbmc
is what i got
User avatar
WharfRat
Level 21
Level 21
Posts: 13904
Joined: Thu Apr 07, 2011 8:15 pm

Re: unmet dependencies xbmc

Post by WharfRat »

Wow, I just did a search and you should be able to use that repo according to this site [url]http://linuxg.net/how-to-install-xbmc-12-2-on-ubuntu-13-04-12-10-12-04-and-linux-mint-15-14-13/[/url]

I'm running Olivia (15) and it's in the repo :?

Hopefully someone running nadia can tell you if those repos are complete or if you have to enable others.

You can move that repo back for the time being

Code: Select all

sudo mv  /home/$USER/team-xbmc-ppa-quantal.list /etc/apt/sources.list.d/
ImageImage
nujon
Level 1
Level 1
Posts: 19
Joined: Thu Aug 08, 2013 2:34 am

Re: unmet dependencies xbmc

Post by nujon »

is it possible that my repositories are not configured right? i was having PPa issues before all this and disabled a few to fix an issue
User avatar
WharfRat
Level 21
Level 21
Posts: 13904
Joined: Thu Apr 07, 2011 8:15 pm

Re: unmet dependencies xbmc

Post by WharfRat »

nujon wrote:is it possible that my repositories are not configured right? i was having PPa issues before all this and disabled a few to fix an issue
It certainly is possible. Open synaptic package manager and check in settings repositories if there are any unchecked repos that might be needed.
ImageImage
nujon
Level 1
Level 1
Posts: 19
Joined: Thu Aug 08, 2013 2:34 am

Re: unmet dependencies xbmc

Post by nujon »

i went through synaptic package manager and sorted out the nessary repositories that i needed. then went to terminal and retyped

Code: Select all

sudo apt-get update && sudo apt-get install -s xbmc
[sudo] password for nujon: 
Get:1 http://packages.linuxmint.com nadia Release.gpg [197 B]
Get:2 http://packages.linuxmint.com nadia Release [17.7 kB]                    
Hit http://security.ubuntu.com quantal-security Release.gpg                    
Get:3 http://archive.ubuntu.com quantal Release.gpg [933 B]                    
Get:4 http://packages.linuxmint.com nadia/main amd64 Packages [22.6 kB]        
Hit http://security.ubuntu.com quantal-security Release                        
Get:5 http://packages.linuxmint.com nadia/upstream amd64 Packages [11.3 kB]    
Get:6 http://archive.ubuntu.com quantal-updates Release.gpg [933 B]            
Get:7 http://archive.removed quantal-removed Release.gpg [836 B]             
Get:8 http://packages.linuxmint.com nadia/import amd64 Packages [43.2 kB]      
Get:9 http://archive.ubuntu.com quantal Release [49.6 kB]                      
Hit http://security.ubuntu.com quantal-security/main amd64 Packages            
Get:10 http://packages.linuxmint.com nadia/main i386 Packages [22.6 kB]        
Get:11 http://archive.removed quantal-removed Release [7,250 B]              
Hit http://security.ubuntu.com quantal-security/restricted amd64 Packages      
Get:12 http://packages.linuxmint.com nadia/upstream i386 Packages [11.3 kB]    
Get:13 http://packages.linuxmint.com nadia/import i386 Packages [44.0 kB]      
Hit http://security.ubuntu.com quantal-security/universe amd64 Packages        
Get:14 http://archive.removed quantal-removed/apps amd64 Packages [55.6 kB]  
Get:15 http://archive.ubuntu.com quantal-updates Release [49.6 kB]             
Hit http://security.ubuntu.com quantal-security/multiverse amd64 Packages      
Get:16 http://archive.removed quantal-removed/games amd64 Packages [75.6 kB] 
Hit http://security.ubuntu.com quantal-security/main i386 Packages             
Get:17 http://archive.removed quantal-removed/apps i386 Packages [56.1 kB]   
Hit http://security.ubuntu.com quantal-security/restricted i386 Packages       
Get:18 http://archive.ubuntu.com quantal/main amd64 Packages [1,137 kB]        
Get:19 http://archive.removed quantal-removed/games i386 Packages [76.8 kB]  
Hit http://security.ubuntu.com quantal-security/universe i386 Packages         
Hit http://security.ubuntu.com quantal-security/multiverse i386 Packages       
Hit http://security.ubuntu.com quantal-security/main Translation-en            
Hit http://security.ubuntu.com quantal-security/multiverse Translation-en      
Ign http://packages.linuxmint.com nadia/import Translation-en_CA               
Hit http://security.ubuntu.com quantal-security/restricted Translation-en      
Ign http://packages.linuxmint.com nadia/import Translation-en                  
Ign http://packages.linuxmint.com nadia/main Translation-en_CA                 
Ign http://packages.linuxmint.com nadia/main Translation-en                    
Ign http://packages.linuxmint.com nadia/upstream Translation-en_CA             
Ign http://packages.linuxmint.com nadia/upstream Translation-en                
Hit http://security.ubuntu.com quantal-security/universe Translation-en        
Get:20 http://archive.ubuntu.com quantal/restricted amd64 Packages [8,369 B]   
Get:21 http://archive.ubuntu.com quantal/universe amd64 Packages [5,274 kB]    
Ign http://archive.removed quantal-removed/apps Translation-en_CA            
Ign http://archive.removed quantal-removed/apps Translation-en               
Ign http://archive.removed quantal-removed/games Translation-en_CA           
Ign http://security.ubuntu.com quantal-security/main Translation-en_CA         
Ign http://archive.removed quantal-removed/games Translation-en              
Ign http://security.ubuntu.com quantal-security/multiverse Translation-en_CA   
Ign http://security.ubuntu.com quantal-security/restricted Translation-en_CA   
Ign http://security.ubuntu.com quantal-security/universe Translation-en_CA     
Get:22 http://repo.steampowered.com precise Release.gpg [490 B]                
Get:23 http://repo.steampowered.com precise Release [2,303 B]                  
Get:24 http://ppa.launchpad.net quantal Release.gpg [316 B]                    
Get:25 http://repo.steampowered.com precise/steam Sources [548 B]              
Get:26 http://repo.steampowered.com precise/steam amd64 Packages [601 B]       
Get:27 http://ppa.launchpad.net quantal Release.gpg [316 B]                    
Get:28 http://repo.steampowered.com precise/steam i386 Packages [799 B]        
Get:29 http://ppa.launchpad.net quantal Release [11.8 kB]                      
Get:30 http://ppa.launchpad.net quantal Release [11.8 kB]                      
Get:31 http://ppa.launchpad.net quantal/main Sources [1,164 B]                 
Get:32 http://ppa.launchpad.net quantal/main amd64 Packages [1,274 B]          
Get:33 http://ppa.launchpad.net quantal/main i386 Packages [1,274 B]           
Ign http://repo.steampowered.com precise/steam Translation-en_CA               
Ign http://repo.steampowered.com precise/steam Translation-en                  
Get:34 http://ppa.launchpad.net quantal/main Sources [3,736 B]                 
Get:35 http://ppa.launchpad.net quantal/main amd64 Packages [6,897 B]          
Get:36 http://ppa.launchpad.net quantal/main i386 Packages [6,912 B]           
Get:37 http://archive.ubuntu.com quantal/multiverse amd64 Packages [131 kB]    
Get:38 http://archive.ubuntu.com quantal/main i386 Packages [1,136 kB]         
Ign http://ppa.launchpad.net quantal/main Translation-en_CA                    
Ign http://ppa.launchpad.net quantal/main Translation-en                       
Ign http://ppa.launchpad.net quantal/main Translation-en_CA                    
Ign http://ppa.launchpad.net quantal/main Translation-en                       
Get:39 http://archive.ubuntu.com quantal/restricted i386 Packages [8,387 B]    
Get:40 http://archive.ubuntu.com quantal/universe i386 Packages [5,285 kB]     
Get:41 http://archive.ubuntu.com quantal/multiverse i386 Packages [133 kB]     
Get:42 http://archive.ubuntu.com quantal/main Translation-en_CA [10.4 kB]      
Get:43 http://archive.ubuntu.com quantal/main Translation-en [660 kB]          
Get:44 http://archive.ubuntu.com quantal/multiverse Translation-en [100 kB]    
Get:45 http://archive.ubuntu.com quantal/restricted Translation-en [2,575 B]   
Get:46 http://archive.ubuntu.com quantal/universe Translation-en_CA [663 B]    
Get:47 http://archive.ubuntu.com quantal/universe Translation-en [3,648 kB]    
Get:48 http://archive.ubuntu.com quantal-updates/main amd64 Packages [278 kB]  
Get:49 http://archive.ubuntu.com quantal-updates/restricted amd64 Packages [4,804 B]
Get:50 http://archive.ubuntu.com quantal-updates/universe amd64 Packages [199 kB]
Get:51 http://archive.ubuntu.com quantal-updates/multiverse amd64 Packages [10.8 kB]
Get:52 http://archive.ubuntu.com quantal-updates/main i386 Packages [276 kB]   
Get:53 http://archive.ubuntu.com quantal-updates/restricted i386 Packages [4,841 B]
Get:54 http://archive.ubuntu.com quantal-updates/universe i386 Packages [200 kB]
Get:55 http://archive.ubuntu.com quantal-updates/multiverse i386 Packages [11.0 kB]
Hit http://archive.ubuntu.com quantal-updates/main Translation-en              
Hit http://archive.ubuntu.com quantal-updates/multiverse Translation-en        
Hit http://archive.ubuntu.com quantal-updates/restricted Translation-en        
Hit http://archive.ubuntu.com quantal-updates/universe Translation-en          
Ign http://archive.ubuntu.com quantal/multiverse Translation-en_CA             
Ign http://archive.ubuntu.com quantal/restricted Translation-en_CA             
Ign http://archive.ubuntu.com quantal-updates/main Translation-en_CA           
Ign http://archive.ubuntu.com quantal-updates/multiverse Translation-en_CA     
Ign http://archive.ubuntu.com quantal-updates/restricted Translation-en_CA     
Ign http://archive.ubuntu.com quantal-updates/universe Translation-en_CA       
Fetched 19.1 MB in 42s (452 kB/s)                                              
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  libcec2 libhal-storage1 libhal1 liblockdev1 liblzo2-2 libmicrohttpd10
  libnfs1 libpcrecpp0 libshairport1 libtinyxml2.6.2 libva-glx1 python-bluez
  swig swig2.0 xbmc-bin xbmc-pvr-argustv xbmc-pvr-dvbviewer
  xbmc-pvr-mediaportal-tvserver xbmc-pvr-mythtv-cmyth xbmc-pvr-nextpvr
  xbmc-pvr-njoy xbmc-pvr-tvheadend-hts xbmc-pvr-vdr-vnsi xbmc-pvr-vuplus
Suggested packages:
  swig-doc swig-examples swig2.0-examples swig2.0-doc xbmc-test-helper
  libva-intel-vaapi-driver
Recommended packages:
  python-qt3
The following NEW packages will be installed:
  libcec2 libhal-storage1 libhal1 liblockdev1 liblzo2-2 libmicrohttpd10
  libnfs1 libpcrecpp0 libshairport1 libtinyxml2.6.2 libva-glx1 python-bluez
  swig swig2.0 xbmc xbmc-bin xbmc-pvr-argustv xbmc-pvr-dvbviewer
  xbmc-pvr-mediaportal-tvserver xbmc-pvr-mythtv-cmyth xbmc-pvr-nextpvr
  xbmc-pvr-njoy xbmc-pvr-tvheadend-hts xbmc-pvr-vdr-vnsi xbmc-pvr-vuplus
0 upgraded, 25 newly installed, 0 to remove and 25 not upgraded.
Inst liblzo2-2 (2.06-1build1 Ubuntu:12.10/quantal [amd64])
Inst libmicrohttpd10 (0.9.20-1 Ubuntu:12.10/quantal [amd64])
Inst libnfs1 (1.3.0-2 Ubuntu:12.10/quantal [amd64])
Inst libpcrecpp0 (1:8.30-5ubuntu1 Ubuntu:12.10/quantal [amd64])
Inst libshairport1 (1:1.2.1~git20121216.16395d8-0~ppa1~quantal XBMC PPA:12.10/quantal [amd64])
Inst libva-glx1 (1.0.15-4build1 Ubuntu:12.10/quantal [amd64])
Inst liblockdev1 (1.0.3-1.5 Ubuntu:12.10/quantal [amd64])
Inst libcec2 (2.1.3-2~quantal XBMC PPA:12.10/quantal [amd64])
Inst libhal1 (0.5.14-8 Ubuntu:12.10/quantal [amd64])
Inst libhal-storage1 (0.5.14-8 Ubuntu:12.10/quantal [amd64])
Inst libtinyxml2.6.2 (2.6.2-1build1 Ubuntu:12.10/quantal [amd64])
Inst python-bluez (0.18-2 Ubuntu:12.10/quantal [amd64])
Inst swig2.0 (2.0.7-3ubuntu1 Ubuntu:12.10/quantal [amd64])
Inst swig (2.0.7-3ubuntu1 Ubuntu:12.10/quantal [amd64])
Inst xbmc-bin (2:12.2~git20130502.1706-frodo-0quantal XBMC PPA:12.10/quantal [amd64])
Inst xbmc (2:12.2~git20130502.1706-frodo-0quantal XBMC PPA:12.10/quantal [all])
Inst xbmc-pvr-argustv (1.6.166-0quantal XBMC PPA:12.10/quantal [amd64])
Inst xbmc-pvr-dvbviewer (1.6.5-0quantal XBMC PPA:12.10/quantal [amd64])
Inst xbmc-pvr-mediaportal-tvserver (1.6.8-0quantal XBMC PPA:12.10/quantal [amd64])
Inst xbmc-pvr-mythtv-cmyth (1.6.9-0quantal XBMC PPA:12.10/quantal [amd64])
Inst xbmc-pvr-nextpvr (1.6.5-0quantal XBMC PPA:12.10/quantal [amd64])
Inst xbmc-pvr-njoy (1.6.2-0quantal XBMC PPA:12.10/quantal [amd64])
Inst xbmc-pvr-tvheadend-hts (1.6.19-0quantal XBMC PPA:12.10/quantal [amd64])
Inst xbmc-pvr-vdr-vnsi (1.6.4-0quantal XBMC PPA:12.10/quantal [amd64])
Inst xbmc-pvr-vuplus (1.6.7-0quantal XBMC PPA:12.10/quantal [amd64])
Conf liblzo2-2 (2.06-1build1 Ubuntu:12.10/quantal [amd64])
Conf libmicrohttpd10 (0.9.20-1 Ubuntu:12.10/quantal [amd64])
Conf libnfs1 (1.3.0-2 Ubuntu:12.10/quantal [amd64])
Conf libpcrecpp0 (1:8.30-5ubuntu1 Ubuntu:12.10/quantal [amd64])
Conf libshairport1 (1:1.2.1~git20121216.16395d8-0~ppa1~quantal XBMC PPA:12.10/quantal [amd64])
Conf libva-glx1 (1.0.15-4build1 Ubuntu:12.10/quantal [amd64])
Conf liblockdev1 (1.0.3-1.5 Ubuntu:12.10/quantal [amd64])
Conf libcec2 (2.1.3-2~quantal XBMC PPA:12.10/quantal [amd64])
Conf libhal1 (0.5.14-8 Ubuntu:12.10/quantal [amd64])
Conf libhal-storage1 (0.5.14-8 Ubuntu:12.10/quantal [amd64])
Conf libtinyxml2.6.2 (2.6.2-1build1 Ubuntu:12.10/quantal [amd64])
Conf python-bluez (0.18-2 Ubuntu:12.10/quantal [amd64])
Conf swig2.0 (2.0.7-3ubuntu1 Ubuntu:12.10/quantal [amd64])
Conf swig (2.0.7-3ubuntu1 Ubuntu:12.10/quantal [amd64])
Conf xbmc-bin (2:12.2~git20130502.1706-frodo-0quantal XBMC PPA:12.10/quantal [amd64])
Conf xbmc (2:12.2~git20130502.1706-frodo-0quantal XBMC PPA:12.10/quantal [all])
Conf xbmc-pvr-argustv (1.6.166-0quantal XBMC PPA:12.10/quantal [amd64])
Conf xbmc-pvr-dvbviewer (1.6.5-0quantal XBMC PPA:12.10/quantal [amd64])
Conf xbmc-pvr-mediaportal-tvserver (1.6.8-0quantal XBMC PPA:12.10/quantal [amd64])
Conf xbmc-pvr-mythtv-cmyth (1.6.9-0quantal XBMC PPA:12.10/quantal [amd64])
Conf xbmc-pvr-nextpvr (1.6.5-0quantal XBMC PPA:12.10/quantal [amd64])
Conf xbmc-pvr-njoy (1.6.2-0quantal XBMC PPA:12.10/quantal [amd64])
Conf xbmc-pvr-tvheadend-hts (1.6.19-0quantal XBMC PPA:12.10/quantal [amd64])
Conf xbmc-pvr-vdr-vnsi (1.6.4-0quantal XBMC PPA:12.10/quantal [amd64])
Conf xbmc-pvr-vuplus (1.6.7-0quantal XBMC PPA:12.10/quantal [amd64])
im not sure if it worked or not haha
User avatar
WharfRat
Level 21
Level 21
Posts: 13904
Joined: Thu Apr 07, 2011 8:15 pm

Re: unmet dependencies xbmc

Post by WharfRat »

nujon,

Excellent job of getting that straightened out :D

The sudo apt-get install -s xbmc is a simulation used for testing or previewing what will happen so remove the -s and xbmc will install for real

Code: Select all

apt-get install xbmc
Enjoy :wink:
ImageImage
nujon
Level 1
Level 1
Posts: 19
Joined: Thu Aug 08, 2013 2:34 am

Re: unmet dependencies xbmc

Post by nujon »

well im now having problems with the installer, but this is different now.

Code: Select all

apt-get install xbmc
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/ppa.launchpad.net_linrunner_tlp_ubuntu_dists_quantal_main_i18n_Translation-en
E: The package lists or status file could not be parsed or opened.
i also tried to update my system and got this error

Code: Select all

ERROR###ERROR###ERROR###ERROR###ERROR###ERROR###ERROR
E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/ppa.launchpad.net_linrunner_tlp_ubuntu_dists_quantal_main_i18n_Translation-en, E:The package lists or status file could not be parsed or opened.
Post Reply

Return to “Software & Applications”